## ros-indigo-robotino-msgs 0.0.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robotino_msgs)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  std_msgs
  message_generation
)

## Generate messages in the 'msg' folder
 add_message_files(
   FILES
   AnalogReadings.msg
   EncoderReadings.msg
   MotorReadings.msg
   SetBHAPressures.msg
   BHAReadings.msg
   GrapplerReadings.msg
   NorthStarReadings.msg
   SetGrapplerAxes.msg
   DigitalReadings.msg
   GripperState.msg
   PowerReadings.msg
   SetGrapplerAxis.msg
 )

# Generate services in the 'srv' folder
 add_service_files(
   FILES
   ResetOdometry.srv
   SetEncoderPosition.srv
   SetGripperState.srv 
   ClearFixation.srv
   FixatePanTilt.srv
   FixatePosition.srv
   LookAtImagePosition.srv
   LookAtPanTilt.srv
   LookAtPosition.srv
)
## Generate added messages and services with any dependencies listed here
 generate_messages(
   DEPENDENCIES
   geometry_msgs
   std_msgs
 )

catkin_package(
  CATKIN_DEPENDS 
     message_runtime 
     std_msgs 
     geometry_msgs
)

=== debian/changelog ===
ros-indigo-robotino-msgs (0.0.24-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Sun, 19 Feb 2017 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.23-0trusty) trusty; urgency=high

  * review cmakelists
  * Contributors: ipa-nhg

 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Sun, 12 Feb 2017 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.22-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Tue, 27 Sep 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.21-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Wed, 14 Sep 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.20-0trusty) trusty; urgency=high

  * Merge pull request #122 <https://github.com/squirrel-project/squirrel_common/issues/122> from ipa-nhg/Restruc
    package restructuration and clean up
  * package restructuration
  * Contributors: ipa-nhg, ipa-rmb

 -- Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.19-0trusty) trusty; urgency=high

  * Move service definitions to correct module
    These services handle movement of the pan and tilt unit, which does not really fit into squirrel_object_perception.
  * Contributors: Markus Bajones

 -- team02 <team02@todo.todo>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.18-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Mon, 09 May 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.17-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Wed, 13 Apr 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.16-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Sun, 10 Apr 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.15-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Sat, 09 Apr 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.14-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Tue, 05 Apr 2016 22:00:00 -0000

ros-indigo-robotino-msgs (0.0.13-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Tue, 01 Mar 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.12-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Tue, 23 Feb 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.11-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.10-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Sun, 21 Feb 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.9-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Tue, 16 Feb 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.8-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Wed, 03 Feb 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.7-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Mon, 01 Feb 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.6-0trusty) trusty; urgency=high



 -- team02 <team02@todo.todo>  Sun, 31 Jan 2016 23:00:00 -0000

ros-indigo-robotino-msgs (0.0.3-0trusty) trusty; urgency=high

  * moved msgs package
  * Contributors: ipa-nhg

 -- team02 <team02@todo.todo>  Tue, 19 Jan 2016 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-robotino-msgs
Section: misc
Priority: extra
Maintainer: Nadia Hammoudeh Garcia <nadia.hammoudeh.garcia@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-robotino-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Message defintions for the Festo Robotion robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-robotino-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
